libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
evbuffer_cb_info Struct Reference

Structure passed to an evbuffer_cb_func evbuffer callback. More...

`#include <buffer.h>`

## Data Fields
size_t | n_added
| The number of bytes added since callbacks were last invoked.
size_t | n_deleted
| The number of bytes removed since callbacks were last invoked.
size_t | orig_size
| The number of bytes in this evbuffer when callbacks were last invoked.

## Detailed Description

Structure passed to an evbuffer_cb_func evbuffer callback.

See also
  evbuffer_cb_func, evbuffer_add_cb()

The documentation for this struct was generated from the following file:

- event2/buffer.h